[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [DownloadAction](../index.md) / [UpdateDownloadAction](./index.md)

# UpdateDownloadAction

`data class UpdateDownloadAction : `[`DownloadAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L729)

Updates the provided [download](download.md) on the [BrowserState](../../../mozilla.components.browser.state.state/-browser-state/index.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UpdateDownloadAction(download: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md)`)`<br>Updates the provided [download](download.md) on the [BrowserState](../../../mozilla.components.browser.state.state/-browser-state/index.md). |

### Properties

| Name | Summary |
|---|---|
| [download](download.md) | `val download: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md) |
